> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corebanq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get RBAC rights

> Retrieve RBAC permissions for a user or role



## OpenAPI

````yaml get /v1/rbac/{id}
openapi: 3.0.0
info:
  title: RBAC API
  version: 1.0.0
  description: API for Role-Based Access Control management
servers: []
security:
  - bearerAuth: []
tags:
  - name: RBAC
    description: Role-Based Access Control operations
paths:
  /v1/rbac/{id}:
    get:
      tags:
        - RBAC
      summary: Get RBAC rights
      description: Retrieve RBAC permissions for a user or role
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: RBAC permissions retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RbacResponse'
components:
  schemas:
    RbacResponse:
      type: object
      properties:
        roles:
          type: array
          items:
            $ref: '#/components/schemas/Role'
        records:
          type: array
          items:
            $ref: '#/components/schemas/RbacRecord'
    Role:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        user_role_id:
          type: string
          format: uuid
    RbacRecord:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        record_id:
          type: string
          format: uuid
        rec_type_name:
          type: string
        actor_name:
          type: string
        actor_id:
          type: string
          format: uuid
        permission:
          type: array
          items:
            type: string
            enum:
              - C
              - R
              - U
              - D
              - A
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````